---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# Item

## constructor

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "metadata",
    "type": "`Record<string, unknown>`",
    "description": "The optional key-value map with additional details about the line item.",
    "optional": true,
    "defaultValue": "{}",
    "expandable": false,
    "children": []
  },
  {
    "name": "quantity",
    "type": "`number`",
    "description": "The quantity of the line item.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "title",
    "type": "`string`",
    "description": "The title of the line item if `variant\\_id` is not provided.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "unit_price",
    "type": "`number`",
    "description": "The custom price of the line item. If a `variant\\_id` is supplied, the price provided here will override the variant's price.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "variant_id",
    "type": "`string`",
    "description": "The ID of the Product Variant associated with the line item. If the line item is custom, the `variant\\_id` should be omitted.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
